// CSS Reset, comment out if not required or using a different module
@import '~minireset.css/minireset';
/* You can add global styles to this file, and also import other style files */

html,
body {
  min-height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}


// Ignite configuration

@import '~igniteui-angular/lib/core/styles/themes/index';

@include igx-core();
@include igx-typography(
  $font-family: $indigo-typeface,
  $type-scale: $indigo-type-scale
);
@include igx-theme(
    $palette: $dark-indigo-palette,
    $schema: $dark-indigo-schema
);

@include igx-color-classes(
  $prop: 'background-color',
  $prefix: 'bg',
  $palette: $dark-indigo-palette
);

// CUSTOM COMPONENTS CLASSES
@import "styles/theme/button";
@import "styles/theme/drawer";
@import "styles/theme/avatar";


// CUSTOM CLASSES
.spacer {
  flex: 1 1 auto;
}
.d-block {
  display: block;
  width: 100%;
}

.d-inline {
  display: inline;
}

.fill-height {
  height: 100%;
}

.fill-width {
  width: 100%;
}

.text-align--start {
  text-align: start;
}

.text-align--end {
  text-align: end;
}

.text-align--center {
  text-align: center;
}

@mixin generate($prefix, $property) {
  // List of sizes to generate for each
  $sizes: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
    20, 21, 22, 23, 24];
  // Spacing to multiply the sizes by
  $spacing: 1px;

  // Loop through all of the sizes(we use @for rather than @each, as we want access to the index)
  @for $i from 1 through length($sizes) {
    // Get the size for the current index
    $size: nth($sizes, $i);

    // Create the rule
    .#{$prefix}-#{$i - 1} {
      #{$property}: $spacing * $size !important;
    }
  }
}

@include generate(ml, margin-left);
@include generate(mr, margin-right);
@include generate(mt, margin-top);
@include generate(mb, margin-bottom);
@include generate(ma, margin);

@include generate(pl, padding-left);
@include generate(pr, padding-right);
@include generate(pt, padding-top);
@include generate(pb, padding-bottom);
@include generate(pa, padding);
